2019-10-15 23:57 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002171FSSCPscriptingpublic2010-10-22 14:15
Reportereigenlambda 
Assigned ToWMCoolmon 
PrioritynormalSeveritytrivialReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.13 
Summary0002171: Documentation out of sync with code in gr.getVectorFromCoords
DescriptionThe documentation says it gives you a normalized vector, but it really gives you a world vector.
TagsNo tags attached.
Attached Files
  • patch file icon fix2171.patch (561 bytes) 2010-03-31 01:01 -
    Index: code/parse/lua.cpp
    ===================================================================
    --- code/parse/lua.cpp	(revision 6027)
    +++ code/parse/lua.cpp	(working copy)
    @@ -8902,7 +8902,7 @@
     
     ADE_FUNC(getVectorFromCoords, l_Graphics,
     		 "[number X=center, number Y=center, number Depth]",
    -		 "Returns a normalized vector through screen coordinates x and y. "
    +		 "Returns a world vector through screen coordinates x and y. "
     		 "If depth is specified, vector is extended to Depth units into space",
     		 "vector",
     		 "Vector, or zero vector on failure")
    
    patch file icon fix2171.patch (561 bytes) 2010-03-31 01:01 +

-Relationships
+Relationships

-Notes

~0012431

The_E (administrator)

Fixed in revision 6662
+Notes

-Issue History
Date Modified Username Field Change
2010-03-31 01:00 eigenlambda New Issue
2010-03-31 01:00 eigenlambda Status new => assigned
2010-03-31 01:00 eigenlambda Assigned To => WMCoolmon
2010-03-31 01:01 eigenlambda File Added: fix2171.patch
2010-10-22 09:45 The_E Note Added: 0012431
2010-10-22 09:45 The_E Status assigned => closed
2010-10-22 09:45 The_E Resolution open => fixed
2010-10-22 09:45 The_E Fixed in Version => 3.6.13
2010-10-22 14:15 The_E Status closed => feedback
2010-10-22 14:15 The_E Resolution fixed => reopened
2010-10-22 14:15 The_E Status feedback => resolved
2010-10-22 14:15 The_E Resolution reopened => fixed
+Issue History